dotSum = 0;
dotStatus = new Array(0, 0, 0, 0, 0, 0, 0);

brailleChr = new Array("⠀", "⠁", "⠂", "⠃", "⠄", "⠅", "⠆", "⠇", "⠈", "⠉", "⠊", "⠋", "⠌", "⠍", "⠎", "⠏", "⠐", "⠑", "⠒", "⠓", "⠔", "⠕", "⠖", "⠗", "⠘", "⠙", "⠚", "⠛", "⠜", "⠝", "⠞", "⠟", "⠠", "⠡", "⠢", "⠣", "⠤", "⠥", "⠦", "⠧", "⠨", "⠩", "⠪", "⠫", "⠬", "⠭", "⠮", "⠯", "⠰", "⠱", "⠲", "⠳", "⠴", "⠵", "⠶", "⠷", "⠸", "⠹", "⠺", "⠻", "⠼", "⠽", "⠾", "⠿");

function dotClick(dotNo, val)
{
	if (dotStatus[dotNo] == 0) {
		dotStatus[dotNo] = 1;
		dotSum += val;
	} else {
		dotStatus[dotNo] = 0;
		dotSum -= val;
	}
	document.getElementById("dot"+dotNo+"Png").src = "Images/dot"+dotStatus[dotNo]+".png";
}

function inputBraille()
{
	document.getElementById("inputButtonPng").src = "Images/button1.png";

	if (document.getElementById("textArea").value.length >= 7 ) {
		//document.getElementById("textArea").value = document.getElementById("textArea").value.length;
		document.getElementById("textArea").value = brailleChr[dotSum];
	} else {
		// document.getElementById("textArea").value += dotSum;
		document.getElementById("textArea").value += brailleChr[dotSum];
	}
}

function clearBraille()
{
	document.getElementById("clearButtonPng").src = "Images/button1.png";
	document.getElementById("textArea").value = "";
}

function buttonUp()
{
	document.getElementById("inputButtonPng").src = "Images/button0.png";
	document.getElementById("clearButtonPng").src = "Images/button0.png";
}

